FreeMat

- Main Page
- Related Pages

vtkCompositePainter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkCompositePainter iterates over the leaves in a composite datasets. This painter can also handle the case when the dataset is not a composite dataset.

To create an instance of class vtkCompositePainter, simply invoke its constructor as follows

      obj = vtkCompositePainter

# Methods

The class vtkCompositePainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCompositePainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCompositePainter = obj.NewInstance ()`
- `vtkCompositePainter = obj.SafeDownCast (vtkObject o)`
- `vtkDataObject = obj.GetOutput ()` - Get the output data object from this painter. The default implementation simply forwards the input data object as the output.